USE standard_csv_21;

SET FOREIGN_KEY_CHECKS = 0;
TRUNCATE ITscope_AttributeCluster;
TRUNCATE ITscope_Product;
TRUNCATE ITscope_Products2Cluster;
TRUNCATE ITscope_Accessory;
TRUNCATE ITscope_SupplierItem;
TRUNCATE ITscope_Attribute;
TRUNCATE ITscope_Project;
TRUNCATE ITscope_ContractParameter;
TRUNCATE ITscope_SupplierPackagingInfo;
SET FOREIGN_KEY_CHECKS = 1;

LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/attributeCluster.csv'
  INTO TABLE ITscope_AttributeCluster
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@id, @productTypeId, @productTypeName, @attributeTypeName, @attributeTypeGroupName, @name, @rank)
  SET
    id = nullif(@id, ''),
    productTypeId = nullif(@productTypeId, ''),
    productTypeName = nullif(@productTypeName, ''),
    attributeTypeName = nullif(@attributeTypeName, ''),
    attributeTypeGroupName = nullif(@attributeTypeGroupName, ''),
    `name` = nullif(@name, ''),
    `rank` = nullif(@rank, '');


LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/product.csv'
  INTO TABLE ITscope_Product
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@puid, @ean, @manufacturerSKU, @icecatId, @cnetId, @bechlemId, @eClass, @eClassV7, @customsTariffNumber, @UNSPSC,
   @manufacturerId, @manufacturerName, @productName, @shortDescription, @longDescription, @productTypeId, @productTypeGroupId,
   @productTypeGroupName, @productTypeName, @attributeTypeId1, @attributeTypeName1, @attributeTypeId2, @attributeTypeName2, @attributeTypeId3,
   @attributeTypeName3, @attributeTypeId4,
   @attributeTypeName4, @attributeTypeId5, @attributeTypeName5, @attributeValue1, @attributeValue2, @attributeValue3, @attributeValue4, @attributeValue5,
   @productSubTypeId,
   @productSubType, @productLineId, @productLine, @productModel, @colorFamilyId, @colorFamily, @estimateGrossWeight, @grossDimX, @grossDimY, @grossDimZ,
   @combinedLengthAndGirth, @netWeight, @netDimX, @netDimY, @netDimZ, @valueAddedTaxGermany, @deeplink, @standardHtmlDatasheet, @standardPdfDatasheet,
   @manufacturerSite, @manufacturerDatasheet, @imageThumb, @imageThumbWidth,
   @imageThumbHeight, @image1, @imageWidth1, @imageHeight1, @image2, @imageWidth2, @imageHeight2, @image3, @imageWidth3, @imageHeight3, @image4, @imageWidth4,
   @imageHeight4, @image5,
   @imageWidth5, @imageHeight5, @energyLabel, @energyEfficiencyClass,
   @entryDate, @rank, @qualification, @warrantyText, @marketingText, @keySellingPoints, @packageContents, @productFeatures,
   @htmlMainSpecs, @htmlSpecs, @recommendedRetailPriceNet, @price, @priceCalc, @currencyCode, @priceCalcVat, @priceLastUpdate, @priceSupplierId,
   @priceSupplierName, @priceSupplierItemId, @priceSupplierSKU, @stockSupplierText, @stockStatus, @stockStatusText, @stock, @externalStock, @incomingStock,
   @stockAvailabilityDate, @stockLastUpdate, @aggregatedStatus, @aggregatedStatusText, @aggregatedStock, @aggregatedSupplierItems, @contractTypeId,
   @contractTypeName,@priceBillingPeriod,@priceBillingPeriodUnit,@priceSubscriptionPeriod,@priceSubscriptionPeriodUnit)
  SET
    puid = nullif(@puid, ''),
    ean = nullif(@ean, ''),
    manufacturerSKU = nullif(@manufacturerSKU, ''),
    icecatId = nullif(@icecatId, ''),
    cnetId = nullif(@cnetId, ''),
    bechlemId = nullif(@bechlemId, ''),
    eClass = nullif(@eClass, ''),
    eClassV7 = nullif(@eClassV7, ''),
    customsTariffNumber = nullif(@customsTariffNumber, ''),
    UNSPSC = nullif(@UNSPSC, ''),
    manufacturerId = nullif(@manufacturerId, ''),
    manufacturerName = nullif(@manufacturerName, ''),
    productName = nullif(@productName, ''),
    shortDescription = nullif(@shortDescription, ''),
    longDescription = nullif(@longDescription, ''),
    productTypeId = nullif(@productTypeId, ''),
    productTypeGroupId = nullif(@productTypeGroupId, ''),
    productTypeGroupName = nullif(@productTypeGroupName, ''),
    productTypeName = nullif(@productTypeName, ''),
    attributeTypeId1 = nullif(@attributeTypeId1, ''),
    attributeTypeName1 = nullif(@attributeTypeName1, ''),
    attributeTypeId2 = nullif(@attributeTypeId2, ''),
    attributeTypeName2 = nullif(@attributeTypeName2, ''),
    attributeTypeId3 = nullif(@attributeTypeId3, ''),
    attributeTypeName3 = nullif(@attributeTypeName3, ''),
    attributeTypeId4 = nullif(@attributeTypeId4, ''),
    attributeTypeName4 = nullif(@attributeTypeName4, ''),
    attributeTypeId5 = nullif(@attributeTypeId5, ''),
    attributeTypeName5 = nullif(@attributeTypeName5, ''),
    attributeValue1 = nullif(@attributeValue1, ''),
    attributeValue2 = nullif(@attributeValue2, ''),
    attributeValue3 = nullif(@attributeValue3, ''),
    attributeValue4 = nullif(@attributeValue4, ''),
    attributeValue5 = nullif(@attributeValue5, ''),
    productSubTypeId = nullif(@productSubTypeId, ''),
    productSubType = nullif(@productSubType, ''),
    productLineId = nullif(@productLineId, ''),
    productLine = nullif(@productLine, ''),
    productModel = nullif(@productModel, ''),
    colorFamilyId = nullif(@colorFamilyId, ''),
    colorFamily = nullif(@colorFamily, ''),
    estimateGrossWeight = nullif(@estimateGrossWeight, ''),
    grossDimX = nullif(@grossDimX, ''),
    grossDimY = nullif(@grossDimY, ''),
    grossDimZ = nullif(@grossDimZ, ''),
    combinedLengthAndGirth = nullif(@combinedLengthAndGirth, ''),
    netWeight = nullif(@netWeight, ''),
    netDimX = nullif(@netDimX, ''),
    netDimY = nullif(@netDimY, ''),
    netDimZ = nullif(@netDimZ, ''),
    valueAddedTaxGermany = nullif(@valueAddedTaxGermany, ''),
    deeplink = nullif(@deeplink, ''),
    standardHtmlDatasheet = nullif(@standardHtmlDatasheet, ''),
    standardPdfDatasheet = nullif(@standardPdfDatasheet, ''),
    manufacturerSite = nullif(@manufacturerSite, ''),
    manufacturerDatasheet = nullif(@manufacturerDatasheet, ''),
    imageThumb = nullif(@imageThumb, ''),
    imageThumbWidth = nullif(@imageThumbWidth, ''),
    imageThumbHeight = nullif(@imageThumbHeight, ''),
    image1 = nullif(@image1, ''),
    imageWidth1 = nullif(@imageWidth1, ''),
    imageHeight1 = nullif(@imageHeight1, ''),
    image2 = nullif(@image2, ''),
    imageWidth2 = nullif(@imageWidth2, ''),
    imageHeight2 = nullif(@imageHeight2, ''),
    image3 = nullif(@image3, ''),
    imageWidth3 = nullif(@imageWidth3, ''),
    imageHeight3 = nullif(@imageHeight3, ''),
    image4 = nullif(@image4, ''),
    imageWidth4 = nullif(@imageWidth4, ''),
    imageHeight4 = nullif(@imageHeight4, ''),
    image5 = nullif(@image5, ''),
    imageWidth5 = nullif(@imageWidth5, ''),
    imageHeight5 = nullif(@imageHeight5, ''),
    energyLabel = nullif(@energyLabel, ''),
    energyEfficiencyClass = nullif(@energyEfficiencyClass, ''),
    entryDate = STR_TO_DATE(@entryDate, '%d.%m.%Y %H:%i'),
    `rank` = nullif(@rank, ''),
    qualification = nullif(@qualification, ''),
    warrantyText = nullif(@warrantyText, ''),
    marketingText = nullif(@marketingText, ''),
    keySellingPoints = nullif(@keySellingPoints, ''),
    packageContents = nullif(@packageContents, ''),
    productFeatures = nullif(@productFeatures, ''),
    htmlMainSpecs = nullif(@htmlMainSpecs, ''),
    htmlSpecs = nullif(@htmlSpecs, ''),
    recommendedRetailPriceNet = nullif(@recommendedRetailPriceNet, ''),
    price = nullif(@price, ''),
    priceCalc = nullif(@priceCalc, ''),
    currencyCode = nullif(@currencyCode, ''),
    priceCalcVat = nullif(@priceCalcVat, ''),
    priceLastUpdate = STR_TO_DATE(@priceLastUpdate, '%d.%m.%Y %H:%i'),
    priceSupplierId = nullif(@priceSupplierId, ''),
    priceSupplierName = nullif(@priceSupplierName, ''),
    priceSupplierItemId = nullif(@priceSupplierItemId, ''),
    priceSupplierSKU = nullif(@priceSupplierSKU, ''),
    stockSupplierText = nullif(@stockSupplierText, ''),
    stockStatus = nullif(@stockStatus, ''),
    stockStatusText = nullif(@stockStatusText, ''),
    stock = nullif(@stock, ''),
    externalStock = nullif(@externalStock, ''),
    incomingStock = nullif(@incomingStock, ''),
    stockAvailabilityDate = STR_TO_DATE(@stockAvailabilityDate, '%d.%m.%Y %H:%i'),
    stockLastUpdate = STR_TO_DATE(@stockLastUpdate, '%d.%m.%Y %H:%i'),
    aggregatedStatus = nullif(@aggregatedStatus, ''),
    aggregatedStatusText = nullif(@aggregatedStatusText, ''),
    aggregatedStock = nullif(@aggregatedStock, ''),
    aggregatedSupplierItems = nullif(@aggregatedSupplierItems, ''),
    contractTypeId = nullif(@contractTypeId, ''),
    contractTypeName = nullif(@contractTypeName, ''),
    priceBillingPeriod = nullif(@priceBillingPeriod, ''),
    priceBillingPeriodUnit = nullif(@priceBillingPeriodUnit, ''),
    priceSubscriptionPeriod = nullif(@priceSubscriptionPeriod, ''),
    priceSubscriptionPeriodUnit = nullif(@priceSubscriptionPeriodUnit, '');

LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/products2Cluster.csv'
  INTO TABLE ITscope_Products2Cluster
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@productRefId, @attributeClusterRefId)
  SET
    productRefId = nullif(@productRefId, ''),
    attributeClusterRefId = nullif(@attributeClusterRefId, '');

LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/accessory.csv'
  INTO TABLE ITscope_Accessory
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@productId, @referencedProductId, @typeId, @type)
  SET
    productId = nullif(@productId, ''),
    referencedProductId = nullif(@referencedProductId, ''),
    typeId = nullif(@typeId, ''),
    type = nullif(@type, '');

LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/supplierItem.csv'
  INTO TABLE ITscope_SupplierItem
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@id, @productId, @ean, @manufacturerSKU, @supplierSKU, @supplierId, @supplierName, @manufacturerName, @productName, @longDescription, @conditionId,
   @conditionName, @eolProduct, @matchQuality, @eanValid, @specialOffer, @promotion, @vat, @copyrightLevy, @customsTariffNumber, @countryOfOrigin, @grossDimX,
   @grossDimY, @grossDimZ, @warrantyText, @deeplink, @recommendedRetailPriceNet, @price, @priceCalc, @currencyCode, @priceCalcVat, @priceLastUpdate,
   @stockSupplierText, @stockStatus, @stockStatusText, @stock, @externalStock, @incomingStock, @stockAvailabilityDate, @lastStockUpdate, @contractTypeId,
   @contractTypeName,@priceBillingPeriod,@priceBillingPeriodUnit,@priceSubscriptionPeriod,@priceSubscriptionPeriodUnit,@weeeRegNo)
  SET
    id = nullif(@id, ''),
    productId = nullif(@productId, ''),
    ean = nullif(@ean, ''),
    manufacturerSKU = nullif(@manufacturerSKU, ''),
    supplierSKU = nullif(@supplierSKU, ''),
    supplierId = nullif(@supplierId, ''),
    supplierName = nullif(@supplierName, ''),
    manufacturerName = nullif(@manufacturerName, ''),
    productName = nullif(@productName, ''),
    longDescription = nullif(@longDescription, ''),
    conditionId = nullif(@conditionId, ''),
    conditionName = nullif(@conditionName, ''),
    eolProduct = nullif(@eolProduct, ''),
    matchQuality = nullif(@matchQuality, ''),
    eanValid = nullif(@eanValid, ''),
    specialOffer = nullif(@specialOffer, ''),
    promotion = nullif(@promotion, ''),
    vat = nullif(@vat, ''),
    copyrightLevy = nullif(@copyrightLevy, ''),
    customsTariffNumber = nullif(@customsTariffNumber, ''),
    countryOfOrigin = nullif(@countryOfOrigin, ''),
    grossDimX = nullif(@grossDimX, ''),
    grossDimY = nullif(@grossDimY, ''),
    grossDimZ = nullif(@grossDimZ, ''),
    warrantyText = nullif(@warrantyText, ''),
    deeplink = nullif(@deeplink, ''),
    recommendedRetailPriceNet = nullif(@recommendedRetailPriceNet, ''),
    price = nullif(@price, ''),
    priceCalc = nullif(@priceCalc, ''),
    currencyCode = nullif(@currencyCode, ''),
    priceCalcVat = nullif(@priceCalcVat, ''),
    priceLastUpdate = STR_TO_DATE(@priceLastUpdate, '%d.%m.%Y %H:%i'),
    stockSupplierText = nullif(@stockSupplierText, ''),
    stockStatus = nullif(@stockStatus, ''),
    stockStatusText = nullif(@stockStatusText, ''),
    stock = nullif(@stock, ''),
    externalStock = nullif(@externalStock, ''),
    incomingStock = nullif(@incomingStock, ''),
    stockAvailabilityDate = STR_TO_DATE(@stockAvailabilityDate, '%d.%m.%Y %H:%i'),
    lastStockUpdate = STR_TO_DATE(@lastStockUpdate, '%d.%m.%Y %H:%i'),
    contractTypeId = nullif(@contractTypeId, ''),
    contractTypeName = nullif(@contractTypeName, ''),
    priceBillingPeriod = nullif(@priceBillingPeriod, ''),
    priceBillingPeriodUnit = nullif(@priceBillingPeriodUnit, ''),
    priceSubscriptionPeriod = nullif(@priceSubscriptionPeriod, ''),
    priceSubscriptionPeriodUnit = nullif(@priceSubscriptionPeriodUnit, ''),
    weeeRegNo = nullif(@weeeRegNo, '');


LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/attribute.csv'
  INTO TABLE ITscope_Attribute
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@prodRefId, @value, @displayValue, @attributeTypeId, @attributeTypeName, @attributeTypeRank, @attributeTypeGroupId, @attributeTypeGroupName)
  SET
    prodRefId = nullif(@prodRefId, ''),
    `value` = nullif(@value, ''),
    displayValue = nullif(@displayValue, ''),
    attributeTypeId = nullif(@attributeTypeId, ''),
    attributeTypeName = nullif(@attributeTypeName, ''),
    attributeTypeRank = nullif(@attributeTypeRank, ''),
    attributeTypeGroupId = nullif(@attributeTypeGroupId, ''),
    attributeTypeGroupName = nullif(@attributeTypeGroupName, '');

LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/project.csv'
  INTO TABLE ITscope_Project
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@projectSupplierItemId, @supplierProjectId, @manufacturerProjectId, @projectName, @endCustomer, @price, @validFrom, @validTo, @targetQuantity,
   @remainingQuantity, @minQuantity, @projectLastUpdate,@projectBundleId,@projectBundleName,@projectPosition)
  SET
    projectSupplierItemId = nullif(@projectSupplierItemId, ''),
    supplierProjectId = nullif(@supplierProjectId, ''),
    manufacturerProjectId = nullif(@manufacturerProjectId, ''),
    projectName = nullif(@projectName, ''),
    endCustomer = nullif(@endCustomer, ''),
    price = nullif(@price, ''),
    validFrom = STR_TO_DATE(@validFrom, '%d.%m.%Y %H:%i'),
    validTo = STR_TO_DATE(@validTo, '%d.%m.%Y %H:%i'),
    targetQuantity = nullif(@targetQuantity, ''),
    remainingQuantity = nullif(@remainingQuantity, ''),
    minQuantity = nullif(@minQuantity, ''),
    projectLastUpdate = STR_TO_DATE(@projectLastUpdate, '%d.%m.%Y %H:%i'),
	  projectBundleId = nullif(@projectBundleId, ''),
	  projectBundleName = nullif(@projectBundleName, ''),
	  projectPosition = nullif(@projectPosition, '');
	  
LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/contractParameter.csv'
  INTO TABLE ITscope_ContractParameter
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@supplierItemRefId, @displayName, @orderParameterName, @mandatory, @example)
  SET
    supplierItemRefId = nullif(@supplierItemRefId, ''),
    displayName = nullif(@displayName, ''),
    orderParameterName = nullif(@orderParameterName, ''),
    mandatory = nullif(@mandatory, ''),
    example = nullif(@example, '');
	
	
LOAD DATA LOCAL INFILE 'C:/temp/standard_csv_21/supplierPackagingInfo.csv'
  INTO TABLE ITscope_SupplierPackagingInfo
  CHARACTER SET 'utf8'
  FIELDS TERMINATED BY '\t' LINES TERMINATED BY '\r\n'
  IGNORE 1 LINES
  (@supplierItemRefId, @contentUnit, @intervalQuantity, @minQuantity, @numberContentUnitPerOrderUnit, @orderUnit, @priceQuantity, @supplierPackingQuantity)
  SET
    supplierItemRefId = nullif(@supplierItemRefId, ''),
    contentUnit = nullif(@contentUnit, ''),
    intervalQuantity = nullif(@intervalQuantity, ''),
    minQuantity = nullif(@minQuantity, ''),
    numberContentUnitPerOrderUnit = nullif(@numberContentUnitPerOrderUnit, ''),
    orderUnit = nullif(@orderUnit, ''),
    priceQuantity = nullif(@priceQuantity, ''),
    supplierPackingQuantity = nullif(@supplierPackingQuantity, '');	  
